> For the complete documentation index, see [llms.txt](https://docs.hub88.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hub88.io/api-changelog/may-2025/support-for-supplier-issued-promotion-payouts-in-supplier-and-operator-apis.md).

# Support for supplier-issued promotion payouts in Supplier and Operator APIs

**Effective from:** 26 May 2025

***

Hub88 now supports win transactions for promotions granted by game suppliers. This enhancement allows delayed promotional payouts (e.g. after tournaments or jackpots), even if the original round is already closed.&#x20;

{% hint style="info" %}
This is applicable for Generic Supplier and Operator APIs.&#x20;
{% endhint %}

### What is changing?&#x20;

We’ve introduced a new optional parameter to the following endpoints:

**In Supplier API**\
[**`POST /supplier/generic/v2/transaction/win`**](/developer-docs/supplier-api-reference/wallet-api.md#post-supplier-generic-v2-transaction-win) **endpoint**

* `is_supplier_promo` – indicates the win was granted by the game supplier.
  * When true, the transaction is treated as a **freebet** (i.e. `is_free: true` is implied).
  * The `reference_transaction_uuid` becomes optional.
  * The `token` and `game_code` are still required.&#x20;
  * An optional promo reference can be passed in the unstructured `meta` field:

    ```json
    "meta": {
      "supplier_promo_info": {
        "promo_reference": "Promo_games_reference"
      }
    }
    ```

**In Operator API**\
[**`POST /transaction/bet`**](/developer-docs/operator-api-reference/wallet-api.md#post-transaction-bet) **and** [**`POST /transaction/win`**](/developer-docs/operator-api-reference/wallet-api.md#post-transaction-win) **endpoints:**

* Hub88 forwards the `is_supplier_promo` flag to the Operator API.
* In `meta`, `supplier_promo_info` will be included only if the supplier sends it.
* Operator should NOT validate the expiration of the `token` received, as bet and win transactions could belong to an inactive/staled session on operator side. `token` should be verified to be valid in case `is_supplier_promo` is sent.

#### Behaviour overview

* For bet transactions, operator will receive 0 bet transaction with `is_supplier_promo: true`  flag
* For win transactions, operator will receive transaction with `is_supplier_promo: true` and corresponding promo win amount.

### Why is it changing?

This update enables payout flexibility for promotions originating from game suppliers. It ensures players can receive their rewards even if the original gameplay session is no longer active, while maintaining compatibility across Supplier and Operator APIs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hub88.io/api-changelog/may-2025/support-for-supplier-issued-promotion-payouts-in-supplier-and-operator-apis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
